cURL
curl --request POST "https://rxresu.me/api/openapi/career/generate" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"applicationId": "<string>",
"task": {
"task": "fit"
}
}'import requests
url = "https://rxresu.me/api/openapi/career/generate"
payload = {
"applicationId": "<string>",
"task": { "task": "fit" },
"locale": "en-US"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({applicationId: '<string>', task: {task: 'fit'}, locale: 'en-US'})
};
fetch('https://rxresu.me/api/openapi/career/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>"
},
"answer": {
"text": "<string>",
"factIds": [
"<string>"
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Post careergenerate
Asks the default AI connection for one structured piece of work for an application (fit check, briefing, practice feedback, debrief review, employer message, answer draft). Everything but answer drafts is saved.
POST
/
career
/
generate
cURL
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Body
application/json